/*
 * internet.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 */

#include <getopt.h>
#include <stdlib.h>
#include <vdr/interface.h>
#include <vdr/plugin.h>
#include "i18n.h"

static const char *VERSION 	 = "0.0.1";
static const char *DESCRIPTION   = "Open/Close CD/DVD-Rom";
static const char *MAINMENUENTRY = "Internet";


class cPluginInternetBrowser : public cPlugin {
public:
  cPluginInternetBrowser(void);
  virtual const char *Version(void) {return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual ~cPluginInternetBrowser();
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  virtual cOsdObject *MainMenuAction(void);
  int isOpen;
  };



// --- cPluginInternetBrowser----------------------------------------------------------

cPluginInternetBrowser::cPluginInternetBrowser(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
}

cPluginInternetBrowser::~cPluginInternetBrowser()
{
  // Clean up after yourself!
}

bool cPluginInternetBrowser::Start(void)
{
  // Start any background activities the plugin shall perform.
  RegisterI18n(Phrases);
  return true;
}


//void cMenuSetupInternetBrowser::store(void)
//{
//    strcpy(device,new_device);
//    SetupStore("Device",new_device);
//}    


void cPluginInternetBrowser::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginInternetBrowser::MainMenuAction(void)
{
  // Perform the action when selected from the main VDR menu.
FILE *file;
char *buffer;

	asprintf(&buffer, "openvt -c 8 -f -s /etc/vdr/internet.sh");
	file = popen(buffer, "r");
	free(buffer);
	pclose(file);
	
  return NULL;
}

        
VDRPLUGINCREATOR(cPluginInternetBrowser); // Don't touch this!
